## plank-player 5.27.10+p24.04+vunstable+git20251015.1041

=== debian/changelog ===
plank-player (5.27.10+p24.04+vunstable+git20251015.1041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:41:38 +0000

plank-player (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 15:26:07 +0000

plank-player (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:06:27 +0000

plank-player (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 16:21:03 +0000

plank-player (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:16:26 +0000

plank-player (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:44:43 +0000

plank-player (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:39:38 +0000

plank-player (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:21:45 +0000

plank-player (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:12:39 +0000

plank-player (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:42:23 +0000

plank-player (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:56:03 +0000

plank-player (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:53:54 +0000

plank-player (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:51:06 +0000

plank-player (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:31:02 +0000

plank-player (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 10:05:33 +0000

plank-player (5.25.80-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:26:01 +0000

## plank-player 5.27.10+p24.04+vunstable+git20251020.0247

=== debian/changelog ===
plank-player (5.27.10+p24.04+vunstable+git20251020.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:47:32 +0000

## plank-player 5.27.10+p24.04+vunstable+git20260201.0605

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PlankPlayer LANGUAGES CXX)
set(PROJECT_VERSION "5.27.80")
set(PROJECT_VERSION_MAJOR 5)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_MIN_VERSION "6.4.0")
set(KF6_MIN_VERSION "5.240.0")
set(AUTORCC_OPTIONS "/app/qml.qrc")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Qml
    Quick
    QuickControls2
    Multimedia
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    Kirigami2
    I18n
)

include(ECMFindQmlModule)
ecm_find_qmlmodule(QtQuick 2.15)
ecm_find_qmlmodule(QtQuick.Window 2.15)
ecm_find_qmlmodule(QtQuick.Controls 2.15)
ecm_find_qmlmodule(QtQuick.Layouts 1.15)
ecm_find_qmlmodule(org.kde.kirigami 2.19)
ecm_find_qmlmodule(Qt.labs.folderlistmodel 2.15)
ecm_find_qmlmodule(QtQuick.Templates 2.15)
ecm_find_qmlmodule(QtMultimedia 2.15)
ecm_find_qmlmodule(Qt5Compat.GraphicalEffects 2.15)

add_subdirectory(app)
add_subdirectory(icons)

install(FILES org.kde.invent.plank_player.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== app/CMakeLists.txt ===
qt_add_resources(plank_player_SRCS qml.qrc)
add_executable(plank-player ${plank_player_SRCS}
    main.cpp
)

target_link_libraries(plank-player
    Qt::Quick
    Qt::Core
    Qt::Qml
    Qt::QuickControls2
    Qt::Multimedia
    KF6::Kirigami2
    KF6::I18n
)

install(TARGETS plank-player ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

set(DesktopNoDisplay "false")
set(DesktopMimeType "application/ogg;application/x-ogg;audio/ogg;audio/vorbis;audio/x-vorbis;audio/x-vorbis+ogg;video/ogg;video/x-ogm;video/x-ogm+ogg;video/x-theora+ogg;video/x-theora;audio/x-speex;audio/opus;application/x-flac;audio/flac;audio/x-flac;audio/x-ms-asf;audio/x-ms-asx;audio/x-ms-wax;audio/x-ms-wma;video/x-ms-asf;video/x-ms-asf-plugin;video/x-ms-asx;video/x-ms-wm;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvx;video/x-msvideo;audio/x-pn-windows-acm;video/divx;video/msvideo;video/vnd.divx;video/avi;video/x-avi;application/vnd.rn-realmedia;application/vnd.rn-realmedia-vbr;audio/vnd.rn-realaudio;audio/x-pn-realaudio;audio/x-pn-realaudio-plugin;audio/x-real-audio;audio/x-realaudio;video/vnd.rn-realvideo;audio/mpeg;audio/mpg;audio/mp1;audio/mp2;audio/mp3;audio/x-mp1;audio/x-mp2;audio/x-mp3;audio/x-mpeg;audio/x-mpg;video/mp2t;video/mpeg;video/mpeg-system;video/x-mpeg;video/x-mpeg2;video/x-mpeg-system;application/mpeg4-iod;application/mpeg4-muxcodetable;application/x-extension-m4a;application/x-extension-mp4;audio/aac;audio/m4a;audio/mp4;audio/x-m4a;audio/x-aac;video/mp4;video/mp4v-es;video/x-m4v;application/x-quicktime-media-link;application/x-quicktimeplayer;video/quicktime;application/x-matroska;audio/x-matroska;video/x-matroska;video/webm;audio/webm;audio/3gpp;audio/3gpp2;audio/AMR;audio/AMR-WB;video/3gp;video/3gpp;video/3gpp2;x-scheme-handler/mms;x-scheme-handler/mmsh;x-scheme-handler/rtsp;x-scheme-handler/rtp;x-scheme-handler/rtmp;x-scheme-handler/icy;x-scheme-handler/icyx;application/x-cd-image;x-content/video-vcd;x-content/video-svcd;x-content/video-dvd;x-content/audio-cdda;x-content/audio-player;application/ram;application/xspf+xml;audio/mpegurl;audio/x-mpegurl;audio/scpls;audio/x-scpls;text/google-video-pointer;text/x-google-video-pointer;video/vnd.mpegurl;application/vnd.apple.mpegurl;application/vnd.ms-asf;application/vnd.ms-wpl;application/sdp;audio/dv;video/dv;audio/x-aiff;audio/x-pn-aiff;video/x-anim;video/x-nsv;video/fli;video/flv;video/x-flc;video/x-fli;video/x-flv;audio/wav;audio/x-pn-au;audio/x-pn-wav;audio/x-wav;audio/x-adpcm;audio/ac3;audio/eac3;audio/vnd.dts;audio/vnd.dts.hd;audio/vnd.dolby.heaac.1;audio/vnd.dolby.heaac.2;audio/vnd.dolby.mlp;audio/basic;audio/midi;audio/x-ape;audio/x-gsm;audio/x-musepack;audio/x-tta;audio/x-wavpack;audio/x-shorten;application/x-shockwave-flash;application/x-flash-video;misc/ultravox;image/vnd.rn-realpix;audio/x-it;audio/x-mod;audio/x-s3m;audio/x-xm;application/mxf")
set(DesktopExec "plank-player %u")
configure_file(org.plank.player.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.plank.player.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.plank.player.desktop DESTINATION ${KDE_INSTALL_APPDIR})

## plank-player 5.27.10+p24.04+vunstable+git20260123.0344

=== debian/changelog ===
plank-player (5.27.10+p24.04+vunstable+git20260123.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:44:38 +0000

=== debian/control ===
Source: plank-player
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-webengine-dev
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma-bigscreen/plank-player
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plank-player.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plank-player
Maintainer: Neon CI <neon@kde.org>

Package: plank-player
Architecture: any
Depends: kf6-plasma-framework,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Bigscreen
 Plasma for your television

## plank-player 5.27.10+p24.04+vunstable+git20260201.0605

=== debian/changelog ===
plank-player (5.27.10+p24.04+vunstable+git20260201.0605-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:05:13 +0000
